'Bookmark_GotoStoredPage.csc
'Copyright 2002-2004 by Abe Hendin <ventura@yourspeed.com>. Public domain.
'Version 1.02
'March 4, 2004
'
'Returns to a page number previously stored in a publication variable by my 
'"Bookmark_StoreCurrentPage.csc" script.
'
'VERSION HISTORY
'1.02, 3/4/2004: Corrected code to report missing bookkmark variable.
'
'1.01, 10/15/2003:
'Cleaned up the code a bit; renamed some variables for clarity.
'
'Initial release, November 11, 2002

WITHOBJECT "CorelVentura.Automation.8"
	DIM lCurrPN AS LONG, iVar As INTEGER, lVarCount AS LONG
	DIM sCurrPN AS STRING, sVarName AS STRING, sVarSub AS STRING
	DIM iret AS INTEGER
	
	.ViewPageLayout 'set view
	lVarCount = .PubVariableCount() 'get total num of pub vars
	FOR iVar = 1 TO lVarCount 'check each pub var to find the one we want
		.FormatPubVariableGetAt iVar, sVarName, sVarSub 'collect var info
		IF sVarName = "BookmarkPage" THEN 'found the one we're looking for
			IF LEN(sVarSub) > 0 AND VAL(sVarSub) > 0 THEN 'sVarSub contains at least one numeric char
				.ViewGotoPage sVarSub, .GoWhere = 4 'goto stored page
				EXIT FOR
			ELSE
				iret = MESSAGEBOX("There is a problem with the BookmarkPage variable. Store   " + \\
					CHR(13) + "a new page number with the Bookmark_StoreCurrentPage.csc   " + \\
					CHR(13) + "script and try again.", \\
					"Cannot access bookmark", 0 Or 16)
				EXIT FOR
			ENDIF
		ENDIF
	NEXT
	
	IF sVarName <> "BookmarkPage" THEN 'no bookmark variable in pub
		iret = MESSAGEBOX("BookmarkPage variable not present in this publication. Store   " + \\
			CHR(13) + "a new page number with the Bookmark_StoreCurrentPage.csc   " + \\
			CHR(13) + "script and try again.", \\
			"No page stored", 0 Or 16)
	ENDIF
END WITHOBJECT
