'Bookmark_StoreCurrentPage.csc
'Copyright 2002-2004 by Abe Hendin <ventura@yourspeed.com>. Public domain.
'Version 1.02
'March 4, 2004
'
'Stores the current page number in a publication variable for easy 
'return later, using my "Bookmark_GotoStoredPage.csc" script.
'
'VERSION HISTORY:
'Version 1.02, 3/4/2004: bug fix. Failed when pub contained multiple variables(!).
'
'Version 1.01, 10/15/2003: renamed script to better reflect its purpose;
'reformatted the code and renamed some variables for clarity. Some code revision.
'
'Initial release, November 11, 2002.

WITHOBJECT "CorelVentura.Automation.8"
	DIM lCurrPN AS LONG, iVar AS INTEGER, lVarCount AS LONG, iret AS INTEGER
	DIM sCurrPN AS STRING, sVarName AS STRING, sVarSub AS STRING
	
	.ViewPageLayout
	lCurrPN = .CurrentPageNumber(, 2)'get current absolute p.n.
	IF lCurrPN <> -1 THEN
		sCurrPN = LTRIM(STR(lCurrPN)) 'convert p.n. to string
		lVarCount = .PubVariableCount() 'get total num of pub vars
		sVarName = "" 'initialize varname as empty
		
		FOR iVar = 1 TO lVarCount 'check each pub var to find the one we want
			.FormatPubVariableGetAt iVar, sVarName 'collect varname
			IF sVarName = "BookmarkPage" THEN 'found the one we're looking for
				.FormatPubVariable iVar, .Substitution = sCurrPN 'replace stored p.n.
				EXIT FOR
			ENDIF
		NEXT
		
		IF sVarName <> "BookmarkPage" THEN 'storage var doesn't exist; create it
			.FormatPubVariableAdd "BookmarkPage", sCurrPN
			MESSAGE "BookmarkPage variable added; current page stored."
		ENDIF
	ELSE 'cursor is in limbo; fail
		iret = MESSAGEBOX("Cannot get a valid page number; cursor seems to be in limbo.   " + \\
			CHR(13) + "Replant the cursor or select an object, then run this script again.   ", \\
			"Bookmark_StoreCurrentPage.csc", 0 OR 16)
	ENDIF
END WITHOBJECT
